LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XXMLExtractor Interface Referencepublished

offers the capability to extract the XML document stream from a document storage. More...

`import "XXMLExtractor.idl";`

Inheritance diagram for XXMLExtractor:

## Public Member Functions
com::sun::star::io::XInputStream | extract ([in] com::sun::star::io::XInputStream aStream)
| extracts the XML stream from the document storage.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

offers the capability to extract the XML document stream from a document storage.

## Member Function Documentation

## ◆ extract()

com::sun::star::io::XInputStream extract | ( | [in] com::sun::star::io::XInputStream | aStream | ) |

extracts the XML stream from the document storage.

Returns
  the extracted XML stream.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XXMLExtractor.idl